2016-01-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: renamed android distribution directory

2016-01-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: Building with PIE for Android 4.1+

2016-01-04  Frank Morgner <frankmorgner@gmail.com>

	* npa/certs/Makefile.am: uninstall CV and X.509 certificates

2016-01-04  Frank Morgner <frankmorgner@gmail.com>

	* npa/ChangeLog, npa/certs/Makefile.am: install CVC and X.509
	directory if needed

2016-01-04  Frank Morgner <frankmorgner@gmail.com>

	* npa/ChangeLog, npa/src/Makefile.am: added missing files from
	OpenSC

2016-01-04  Frank Morgner <frankmorgner@gmail.com>

	* npa/src/Makefile.am: fixed build location of manual files

2015-12-15  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/AUTHORS, npa/doc/README.txt, npa/doc/README.txt.in,
	npa/src/boxing.c, npa/src/card-npa.c, npa/src/npa-tool.c,
	npa/src/npa-tool.ggo.in, npa/src/npa/boxing.h: Updated mail address

2015-12-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/iso-sm.c: fixed wiping SM state when receiving protected
	APDU

2015-11-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/scutil.c: again, include source files from OpenSC (unused) dependencies are satisfied with dummy implementations

2015-11-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/scutil.c: added missing sc_apdu2bytes

2015-11-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: export sc_apdu_set_resp from OpenSC

2015-11-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac, npa/src/Makefile.am, npa/src/scutil.c: copy code
	from OpenSC instead of including its source files

2015-11-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: we need sc_apdu_set_resp to avoid including
	apdu.c

2015-11-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/opensc, npa/src/scutil.c: updated OpenSC

2015-09-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: Adapt to changes of

	https://github.com/frankmorgner/openpace/commit/c2256ad61a1c8c9148b1ab5e76bdb752c73d9455This should also fix a bug where the commandline input of the lookup
	directories given via npa-tool is overwritten with OpenPACE's
	default.

2015-08-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/Makefile.am: fixed manpage build dependency

2015-07-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac: test for strings with `test`

2015-07-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac: fixed typo

2015-07-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac: make sure built files are most recent closes #61

2015-07-17  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/api.txt: sm_stop is now part of OpenSC
	as sc_sm_stop

2015-07-22  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: stop iterating

2015-05-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt.in: added Mac OS X to the compatibility list

2015-05-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: fixed cross compiling for windows

2015-05-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/Makefile.am: fixed missing openpace libs

2015-05-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/MacOSX_install/postinstall,
	npa/cross/MacOSX_uninstall/postinstall, npa/cross/Makefile.am: build
	OS X installer

2015-05-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/opensc: updated OpenSC

2015-04-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am, npa/cross/Makefile.am: build universal binaries
	for Mac OS X

2015-04-23  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: if boxing is not supported, select MF resets the state of the card which may be confused by the commands
	with CLA=FF (and is more lightweight than an actual reset)

2015-04-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/opensc: updated OpenSC

2015-04-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac, npa/src/boxing.c: fixed compilation on Mac OS X

2015-04-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac, npa/src/card-npa.c, npa/src/example.c,
	npa/src/iso-sm.c, npa/src/npa-tool.c, npa/src/npa/iso-sm.h,
	npa/src/opensc: moved sm_stop() to OpenSC as sc_sm_stop()

2015-04-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: catch non initialized pace context

2015-03-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/opensc: updated OpenSC

2015-03-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/card-npa.c: fixed logging out with PACE reader

2015-03-24  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/card-npa.c: fixed handling scconf_block

2015-02-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/Makefile.am, npa/src/scutil.c: fixed undefined reference
	to strlcpy

2015-02-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/card-npa.c, npa/src/opensc: updated OpenSC

2015-02-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in: clearification on QES

2015-01-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: fixed check for pin length

2015-01-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c, npa/src/card-npa.c, npa/src/npa.c: fixed
	potentially dereferencing null pointer

2015-01-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/iso-sm.c: fixed memory leak

2015-01-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/card-npa.c, npa/src/scutil.c: removed unused check

2015-01-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/scutil.c: fixed handling of bad arguments

2015-01-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed uninitialized value

2015-01-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/card-npa.c: fixed handling of missing st keys

2015-01-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in, npa/opensc.conf.in,
	npa/src/Makefile.am, npa/src/card-npa.c, npa/src/card-npa.h,
	npa/src/npa-tool.c, npa/src/npa.c, npa/src/npa/npa.h,
	npa/src/npa/scutil.h, npa/src/pkcs15-npa.c, npa/src/scutil.c: added
	support for QES with German ID card libnpa: requires an ID card that is initialized for QES. Today, this
	means you need to register at sign-me.  virtualsmartcard: We don't actually create a real signature, because
	PyCrypto can't handle ECDSA, let alone brainpoolP256r1. We only
	return a 64 byte buffer.

2014-11-22  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/Makefile.am: use absolute path of manuals

2014-11-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/Makefile.am: fixed building of manuals

2014-11-20  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac: version bump

2014-11-20  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in, npa/doc/autotools.txt,
	npa/doc/download.txt: updated documentation

2014-11-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am: perform git2cl on local project only

2014-11-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/ChangeLog: released 0.6

2014-11-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: fixed cross compiling for Windows

2014-11-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/opensc: update to OpenSC's master

2014-11-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: cross compile for windows with static
	libgcc

2014-10-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: initialize EAC_CTX when doing TA/CA without PACE

2014-10-22  Frank Morgner <morgner@informatik.hu-berlin.de>

	* : Merge pull request #29 from psytester/patch-5 DG13 = Birth Name

2014-10-22  psytester <psytester@users.noreply.github.com>

	* npa/src/npa-tool.ggo.in: since some new nPA version: DG13 = Birth
	Name

2014-09-15  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa.c: allow TA without PACE

2014-08-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/card-npa.c, npa/src/card-npa.h, npa/src/pkcs15-npa.c: only
	use built in mechanisms for caching drops caching of EF.CardAccess and CAN at the driver level. The CAN
	is now cached at the PKCS#15 layer.

2014-08-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/card-npa.c: implemented npa_logout

2014-07-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/card-npa.c: card-npa: free SM data when shutting down the
	card fixes memory leak

2014-07-24  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/opensc: use OpenSC 0.14.0

2014-07-24  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c, npa/src/card-npa.c, npa/src/npa/scutil.h,
	npa/src/scutil.c: include non exported OpenSC functions

2014-07-21  Dominik <oepen@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in: Fix an incorrect link

2014-06-30  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: fixed memory handling of boxing asn1 structure

2014-06-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/pkcs15-npa.c: commented sc_driver_version of npa pkcs15
	emulator

2014-06-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/card-npa.c: set max_send/recv_size

2014-06-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: fixed parsing of EF.CardAccess and Certificate
	Description

2014-06-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: transmittedPin is of type numeric string

2014-06-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: pinID has an INTGER tag

2014-06-24  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: fixed boxing commands I misread BSI TR-03119: The context specific data structures are
	separately wrapped into octet strings or similar.

2014-06-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am, npa/cross/opensc.conf_win32: added
	opensc.conf for windows binaries

2014-06-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in: documentation about
	setting OPENSC_CONF

2014-06-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: building OpenSC requires its configure
	script

2014-06-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in: documented nPA card
	drivers for OpenSC

2014-06-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/scutil.c: show ATR of unrecognized cards for `npa-tool -i`

2014-05-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/opensc: use OpenSC 0.13.1 as submodule closes #3

2014-05-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/Makefile.am: distribute card-npa.h

2014-05-02  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt: rebuilt docs

2014-05-01  Dominik <oepen@informatik.hu-berlin.de>

	* npa/cross/Makefile.am, npa/doc/README.txt: Update more links to
	the old repository

2014-05-01  Dominik <oepen@informatik.hu-berlin.de>

	* npa/doc/README.txt.in: Updated links in the documentation

2014-04-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/scutil.c: fixed compiling ccid-emulator without libnpa fixes #1

2014-04-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac, npa/doc/download.txt, npa/doc/questions.txt: 
	moved project home to github

2014-03-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in: updated documentation

2014-03-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: export additional symbols from OpenSC when
	cross compiling

2014-03-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: PKG_CONFIG_PATH seems to be required for
	pkg-config now

2014-03-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: configure openpace for enabling openssl
	installation

2014-03-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/cross/Makefile.am: fixed windows target directory

2014-02-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c, npa/src/pkcs15-npa.c: use unified names for PACE
	secrets

2014-02-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/opensc.conf.in, npa/src/Makefile.am, npa/src/pkcs15-npa.c: 
	implemente PKCS#15 emulator for nPA

2014-02-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/card-npa.c, npa/src/card-npa.h, npa/src/npa.c,
	npa/src/npa/npa.h: better PIN handling - avoid overloading of the unblocking command, instead perform
	  resuming the pin automatically.  - implemented cache for npa card driver - added support for eSign PIN verification - addes support for get pin info cmd

2014-02-23  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/opensc: updated to current OpenSC's master

2014-02-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c, npa/src/card-npa.c, npa/src/npa-tool.c,
	npa/src/npa.c, npa/src/npa/boxing.h: fixed resuming the PIN initialization of the boxing commands in perform_pace always
	destroyed the established security context.

2014-02-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac, npa/src/boxing.c: fixed missing references to
	list operations

2014-02-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/card-npa.c, npa/src/iso-sm.c, npa/src/npa/npa.h: 
	implemented npa_pin_cmd

2014-02-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am, npa/configure.ac, npa/opensc.conf.in,
	npa/src/Makefile.am, npa/src/card-npa.c, npa/src/iso-sm-internal.h,
	npa/src/iso-sm.c: added a minimal nPA card driver for OpenSC use as something like     env OPENSC_CONF=$PWD/vsmartcard/npa/opensc.conf opensc-tool
	    --name

2013-11-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac: try linking OpenSC without including OpenSSL

2013-10-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa.c: catch and debug more errors

2013-09-30  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in: use absolute path to
	source directories in guide

2013-09-26  Dominik <oepen@informatik.hu-berlin.de>

	* npa/doc/README.txt: Fixed OpenSC guide: add git submodule init

2013-09-26  Dominik <oepen@informatik.hu-berlin.de>

	* npa/doc/README.txt.in: Fixed OpenSC guide: add git submodule init

2013-09-24  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/example.c, npa/src/npa-tool.c: use EAC_init() and
	EAC_cleanup()

2013-09-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am, npa/configure.ac, npa/cross/Makefile.am,
	npa/win32/Makefile.am: added target to build for Android We use virtualsmartcard's libpcsclite to connect to a smartcard. The
	PC/SC service with vicc-interface is implemented elsewhere
	(currently un-free).

2013-08-30  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac: added required version of OpenPACE

2013-08-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/scutil.c: enable default driver see OpenSC 1a972920f0dd4959bd6ec3c4cddef2d98e6009a8

2013-08-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/opensc: Updated OpenSC (again)

2013-08-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa.c, npa/src/npa/npa.h: adapted to
	changes of openpace ce89f8ee374d7926c3f4707b8c4d3ae3de506507

2013-08-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/test_vicc_with_npa-tool.sh: fixed reference date for validity
	check

2013-08-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/test_vicc_with_npa-tool.sh: print commands before issuing them

2013-08-16  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/opensc: updated OpenSC submodule

2013-08-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt: fixed OpenSC guide: use git submodule update

2013-08-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt.in: fixed OpenSC guide: use git submodule
	update

2013-08-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in, npa/doc/download.txt: 
	fixed references to sf's git repositories

2013-08-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/opensc: updated OpenSC include SM bugfixes from OpenSC master

2013-08-07  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa/iso-sm.h, npa/src/scutil.c: read/write chunks in short
	length SM APDUs

2013-07-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: avoid uninitialized variable

2013-07-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac: version bump

2013-07-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/ChangeLog: updated ChangeLog

2013-07-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am: fixed location of .git

2013-06-28  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am: fixed distcheck-hook

2013-06-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am, npa/libnpa.pc.in: use PACKAGE_SUMMARY in libnpa.c

2013-06-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am: generate ChangeLog from git

2013-06-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac, npa/src/Makefile.am, npa/src/boxing.c,
	npa/src/ccid-types.h: implemented boxing commands for verify/modify separates type definitions into ccid-types.h to be accessible in
	libnpa

2013-06-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: fixed automatic allocaction of asn1 decoded data

2013-06-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: fixed asn1 formatting of boxing command for pace

2013-06-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in: avoid duplicated tikz
	code

2013-06-17  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in: include references and
	pictures from our papers

2013-06-16  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac, npa/doc/Makefile.am, npa/doc/README.txt,
	npa/doc/README.txt.in, npa/doc/api.txt, npa/src/Makefile.am,
	npa/src/npa-tool.ggo.in: include a summary in documentation and
	tools

2013-06-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: use sc_format_apdu where possible

2013-06-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/iso-sm.c: fixed typo

2013-06-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c: avoid multiple copies for asn1 formatting

2013-06-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/scutil.c: fancier output for print_avail

2013-06-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/example.c, npa/src/npa-tool.c, npa/src/npa.c,
	npa/src/npa/scutil.h, npa/src/scutil.c: cleaned up scutils - moved write/read_binary_rec to scutil.c - removed unused handling of card driver

2013-06-12  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed memory leak

2013-06-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/m4/.gitignore: added empty m4 directories ... to satisfy autoconf

2013-06-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/boxing.c, npa/src/example.c, npa/src/iso-sm.c,
	npa/src/npa-tool.c, npa/src/npa.c, npa/src/scutil.c,
	npa/src/sslutil.h: updated license text

2013-06-06  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.ggo.in: `--new-pin` optionally takes input

2013-06-06  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed missing initialization of sm_ctx for PACE on
	reader

2013-06-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: allow changing eID-PIN on reader's PIN pad

2013-06-03  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/Makefile.am, npa/src/boxing.c, npa/src/npa-tool.c,
	npa/src/npa.c, npa/src/npa/boxing.h: implemented boxing commands
	according to TR-03119

2013-05-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/certs/Makefile.am: fixed install directories for certificates

2013-05-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa/npa.h: fixed includes

2013-05-13  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.txt, npa/doc/README.txt.in, npa/doc/api.txt,
	npa/doc/autotools.txt, npa/doc/download.txt: working on
	documentation

2013-05-23  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/win32/Makefile.am: fixed opensc host for cross compiling

2013-05-14  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/win32/Makefile.am: fixed missing variable for cross compiling

2013-03-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/README, npa/doc/Makefile.am, npa/doc/README.rst,
	npa/doc/README.rst.in, npa/doc/README.txt, npa/doc/README.txt.in,
	npa/doc/api.rst, npa/doc/api.txt, npa/doc/autotools.rst,
	npa/doc/autotools.rst.in, npa/doc/autotools.txt,
	npa/doc/autotools.txt.in, npa/doc/download.rst,
	npa/doc/download.rst.in, npa/doc/download.txt,
	npa/doc/download.txt.in, npa/doc/questions.rst,
	npa/doc/questions.rst.in, npa/doc/questions.txt,
	npa/doc/questions.txt.in: respect sphinx style guide to some extent see

	http://documentation-style-guide-sphinx.readthedocs.org/en/latest/style-guide.html

2013-02-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in: accept a hex string
	for community id

2013-02-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in: add reference date
	for validity verification

2013-02-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: use additional data template

2013-02-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: fixed tag of auxiliary data payload

2013-02-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: output "Read " for successful reading

2013-02-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/scutil.c: allow dumping of empty buffer

2013-02-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: added human readable names for DG13-16

2013-02-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/Makefile.am, npa/src/npa-tool.c, npa/src/npa-tool.ggo.in,
	npa/test_vicc_with_npa-tool.sh: added option for cvc and x509
	directory

2013-02-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/npa-example-data: added cvc_rehash'ed test files

2013-02-25  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/certs/DECVCAEPASS00102, npa/certs/DECVCAeID00102,
	npa/certs/DECVCAeSign00102, npa/certs/Makefile.am,
	npa/certs/ff3d20d2: removed test certificates, added official ones distributing only the c_rehash'ed/cvc_rehash'ed ones

2013-02-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/README.rst: fixed typo

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/Makefile.am, npa/doc/README.rst, npa/doc/README.rst.in,
	npa/doc/download.rst, npa/doc/download.rst.in, npa/src/Makefile.am,
	npa/src/npa-tool.ggo.in, npa/src/npa.c, npa/src/npa/iso-sm.h,
	npa/src/npa/npa.h, npa/src/npa/scutil.h: updated documentation

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/win32/Makefile.am, npa/win32/build_fix_zlib.patch,
	npa/win32/build_npa.patch: updated windows build

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in, npa/src/npa.c,
	npa/src/npa/npa.h, npa/test_vicc_with_npa-tool.sh: added CLI flags
	do disable various checks

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: only warn about missing certificate description

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed asn1

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am, npa/certs/Makefile.am, npa/configure.ac: 
	distributing nPA's default trust anchors

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.ggo.in: added example CHAT for signature terminal

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa.c, npa/src/npa/npa.h: Added ASN.1
	helper for auxiliary data

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/example.c, npa/src/npa-tool.c, npa/src/npa.c: fixed some
	compiler warnings

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/iso-sm.c: fixed bug in iso sm driver

2013-02-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: check for NULL pointer

2013-02-07  Dominik <oepen@informatik.hu-berlin.de>

	* npa/src/opensc: Fix opensc submodule

2013-02-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed recursive write of EFs

2013-02-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa.c, npa/test_vicc_with_npa-tool.sh: 
	fixed special functions

2013-01-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in, npa/src/npa.c,
	npa/src/npa/npa.h: added verification of age/validity/community

2013-02-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/iso-sm.c, npa/src/npa.c: handling special Le's for
	encryption in iso SM driver

2013-02-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c: selectig eid after EAC

2013-01-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed referencing EAC_CTX in TA and CA

2013-01-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in, npa/src/npa.c,
	npa/src/npa/scutil.h: added read and write of data groups adds read_binary_rec and write_binary_rec to scutil.h

2013-01-29  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/test_vicc_with_npa-tool.sh: fixed typo

2012-12-17  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa/npa.h: added missing documentation

2012-12-16  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/api.rst: added overview about TA/CA to documentation

2012-12-16  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac, npa/doc/README.rst, npa/doc/README.rst.in,
	npa/doc/api.rst, npa/doc/autotools.rst, npa/src/Makefile.am,
	npa/src/opensc: include OpenSC as submodule

2012-12-11  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/doc/Makefile.am, npa/doc/README.rst.in, npa/doc/api.rst: fixed
	generation of documentation

2012-12-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am, npa/configure.ac, npa/src/Makefile.am,
	npa/src/example.c, npa/src/iso-sm.c, npa/src/npa-tool.c,
	npa/src/npa.c, npa/src/npa/iso-sm.h, npa/src/npa/npa.h,
	npa/src/npa/sm.h, npa/src/scutil.c, npa/src/sm.c, npa/src/sslutil.c: 
	use OpenSC's hooks to wrap and unwrap SM APDUs sm_transmit_apdu is obsolete. libnpa and OpenSC can be used in
	parallel now. libnpa modifies OpenSC's card handle to add SM on the
	fly to any OpenSC command. This, for example, allows PKCS#XX
	commands in a SM channel established by libnpa.

2012-11-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: always declare extended length capabilities allows usage of an unpatched version of OpenPACE. libnpa now works
	with the nPA using the default card driver.

2012-11-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c, npa/src/npa/npa.h: adapted to changes of OpenSC
	master Now works with the stupid changes of OpenSC made in
	41861e42b01539856b31f758dfde9ba53749eaaa

2012-11-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: adapted to changes of OpenPACE Now works with OpenPACE 5182c69ee9dfe4ad7787d4f513d467d81a1f27ed

2012-11-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c, npa/test_vicc_with_npa-tool.sh: adapted to latest
	changes of openpace works with openpace 702cf84aaa01ef5dc490d32208067a89a33102c1

2012-11-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/test_vicc_with_npa-tool.sh: disable check of validity period
	for testing

2012-11-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/test_vicc_with_npa-tool.sh: use default CHAT for testing

2012-11-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in: for EAC, use
	terminal's CHAT by default

2012-10-26  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac: comprehensive checking for help2man and
	gengetopt

2012-10-10  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/sm.c: fixed wrong encoding of protected Le

2012-10-09  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/Makefile.am, npa/test_vicc_with_npa-tool.sh: added script to
	test vicc with npa-tool

2012-10-08  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: added calculation of longest encrypted short-length
	APDU

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: adapted to changes of openpace in 91d6ee1ec80f6...

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.ggo.in: updated help for `--disable-checks`

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa.c, npa/src/sm.c: fixed memory
	leaks

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: debug the result from CA's general authenticate

2012-10-05  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/sm.c: fixed short length SM APDUs (especially case 2)

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed Le for get challenge

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: nPA: using case 3 apdu for verify

2012-10-04  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fixed CLA of PACE's last general authenticate

2012-10-01  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in, npa/src/npa.c,
	npa/src/npa/npa.h: nPA: added option to disable validity period
	check

2012-09-27  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: Fixes for MSE:Set AT in TA and CA - TA: fixed p1, p2 and include ephemeral pubkey and OID - CA: include OID and leave out key reference Currently it is hard to distinguish between the CA key and the
	chip-individual key using the key references in
	EF.CardSecurity/EF.CardAccess. The first (default) key in these
	files should, however, be the CA key.

2012-09-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: sc_format_apdu instead of manual initialisation

2012-09-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: Send auxiliary data in MSE:Set AT for TA

2012-09-21  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa-tool.c, npa/src/npa-tool.ggo.in, npa/src/npa.c: 
	npa-tool: CLI to TA and CA

2012-09-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c, npa/src/npa/npa.h: libnpa: Implementation of CA

2012-09-19  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa/npa.h: added fids for EF.CardSecurity

2012-09-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: libnpa: Implementation of TA

2012-09-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: added switch to disable apdu checking for TA/CA

2012-09-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/src/npa.c: fetch CAR for TA from MSE:Set AT

2012-09-18  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac, npa/libnpa.pc.in, npa/src/Makefile.am,
	npa/src/npa-tool.c, npa/src/npa.c, npa/src/npa/npa.h: adapted to
	changes of OpenPACE

2012-08-31  Frank Morgner <morgner@informatik.hu-berlin.de>

	* npa/configure.ac: fixed autoconf warnings

2012-06-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c, npa/src/npa/npa.h: using selection by short
	identifier when reading ef.cardaccess. Fixes #3532221 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@783
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: fixed clang --analyze warnings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@780
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/example.c, npa/src/npa-tool.c, npa/src/npa.c,
	npa/src/scutil.c: fixed clang compiler warnings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@777
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: use distcheck-hook to generate ChangeLog git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@773
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/Makefile.am.opensc, npa/configure.ac,
	npa/win32/Makefile.am, npa/win32/build_fix_zlib.patch,
	npa/win32/build_npa.patch: automate cross compile for windows in
	win32. use the power of the opensc build script git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@772
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am: minor improvements of the manpages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@767
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: added missing checks at configure time git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@766
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/ChangeLog, npa/configure.ac: released 0.4 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@762
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am: fixed distribution of opensc headers git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@761
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: only generate changelog when working in
	repository git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@758
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: automatically generate changelog when releasing git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@757
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/doc/Makefile.am: using macro for doxygen git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@756
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/Makefile.am, npa/src/Makefile.am: use macro for sed im
	makefiles git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@755
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/api.rst: fixed cross reference to doxygen documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@747
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/Doxyfile.in, npa/doc/Makefile.am, npa/doc/api.rst: fixed
	name of doxygen generated tag file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@744
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst, npa/doc/README.rst.in: updated documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@743
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/src/Makefile.am: use help2man to generate
	minimal man pages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@739
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/src/Makefile.am: re-enabled clumsy include of
	libws2_32 When recognition of windows build at compile time is done, this
	should be disabled again.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@738
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-10  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am, npa/src/binutil.c, npa/src/binutil.h,
	npa/src/npa-tool.c, npa/src/npa-tool.ggo.in: switched to command
	line handling with gengetopt git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@737
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: more readable information via autoconf git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@734
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/src/Makefile.am: moved include of ws2_32 to
	the appropriate place git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@732
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst, npa/doc/README.rst.in: updated links and info
	for installation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@731
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/Makefile.am.opensc: fixed cross compiling for
	windows git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@730
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-04-04  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: updated windows build variables git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@729
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-03-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/Makefile.am, npa/doc/README.rst: added recommended
	configure options to documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@727
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am: follow symbolic links when searching for
	openscs header files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@724
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: adapted to changes of
	https://github.com/frankmorgner/OpenSC git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@719
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-03  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: removed unused declaration git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@710
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: return SC_SUCCESS instead of 0 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@709
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: removed handling of CAR and CHR, this is done in TA
	by OpenPACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@708
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: enable time check for imported certificates git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@707
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: removed card driver hack. use a better opensc
	instead (see https://github.com/frankmorgner/OpenSC) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@706
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: adapted to openpace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@705
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: include shell code for cloning opensc with pace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@698
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa-tool.c: always print a message in case of an error git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@697
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am.opensc, npa/configure.ac, npa/src/example.c,
	npa/src/npa-tool.c, npa/src/npa.c, npa/src/npa/npa.h: using patched
	OpenSC enabled with PACE to use the reader's capabilities sourcecode can be fetched from here
	https://github.com/frankmorgner/OpenSC git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@696
	96b47cad-a561-4643-ad3b-153ac7d7599c

2012-01-18  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: Adjusted libnpa to API changes in OpenPACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@680
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: use libcrypto instead of libssl git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@668
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst, npa/doc/api.rst: small fixes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@664
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-09  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@660
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/configure.ac: autoconf macros for sed, ln and
	mkdir git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@651
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst, npa/doc/autotools.rst: adapted to openpace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@646
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst.in: adapted to openpace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@644
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: adapted to openpace git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@641
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-12-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/configure.ac: minor fixes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@637
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am: added no-undefined for building a dll git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@636
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst, npa/doc/README.rst.in: not using static path
	for program-output. instead setting the correct envirnment in
	conf.py.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@635
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/configure.ac, npa/src/npa-tool.c: - using unsigned long long for constant max value of puk - fixed fixup_la - guessing building machine git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@634
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: using pkg-config for cross compile build git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@633
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/src/npa-tool.c: using 64 bits for value of
	puk git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@632
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa-tool.c: break secrets from bottom to top git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@631
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: car and certificate description are now optional
	for npa_ctx_create git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@630
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: omitting initialize for ta for unauthenticated
	terminals git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@629
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: install requires absolute path git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@628
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/doc/Makefile.am, npa/doc/README.rst,
	npa/doc/README.rst.in: included help output from programs in
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@627
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: replaced pwd with abs_top_src_dir git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@626
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/doc/Makefile.am: cleaned up build of
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@625
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: workaround to undefined reference to rpl_malloc.
	cross compiling works now git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@624
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: using absolute include/library directories git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@623
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: added fixes for la files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@622
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/Makefile.am.opensc: modifying opensc to get
	all library functions exported git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@621
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: library fixup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@620
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: fixed reference to cvc_cert function git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@619
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: library fixup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@618
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: work on cross compile build git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@617
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: work on cross compile build git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@616
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/src/npa/scutil.h: work on cross compile build git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@615
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-03  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/Makefile.am: - update on ccid documentation - rebuilding documentation when any *.in file changes git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@613
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst, npa/doc/autotools.rst, npa/doc/questions.rst: 
	added autogenerated files for easier development checkout git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@606
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/Makefile.am, npa/doc/api.rst: only refresh documentation
	if needed git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@605
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-11-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst.in: added potential platforms to documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@604
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/Makefile.am, npa/doc/README.rst, npa/doc/README.rst.in: 
	more autotool magic git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@599
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/configure.ac, npa/doc/Makefile.am: - more autotool magic in documentation files - including substituted documentation files with distributed files git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@597
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/Makefile.am, npa/doc/README.rst, npa/doc/questions.rst.in: - worked around warnings of sphinx - using generic file for questions for all subprojects git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@595
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am: correctly include example git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@593
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-29  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/doc/Makefile.am, npa/doc/README.rst,
	npa/doc/autotools.rst.in: using generic autotools description for
	all subprojects git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@591
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-28  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/README.rst: added more markup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@590
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/doc/Makefile.am: automagically generate documentation of
	virtualsmartcard git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@588
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Doxyfile.in, npa/Makefile.am, npa/README, npa/README.dox,
	npa/configure.ac, npa/doc/Doxyfile.in, npa/doc/Makefile.am,
	npa/doc/README.rst, npa/doc/api.rst, npa/doc/example.c: using a
	dedicated folder for documentation in each subproject git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@587
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@586
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: -Better install instructions for ccid-emulator
	-Added metadata to documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@585
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-27  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: copy and paste friendly installation guide git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@578
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: more detailed install instructions git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@577
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/example.c: minor simplifications git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@576
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/example.c: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@574
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox, npa/src/Makefile.am, npa/src/example.c,
	npa/src/npa-tool.c: including a simple example program mainly for
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@573
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa-tool.c: include npa.h as global resource git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@572
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Doxyfile.in: automatically update doxygen documentation if
	possible git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@568
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Doxyfile.in, npa/README.dox, npa/src/npa/npa.h,
	npa/src/npa/sm.h: Compromise with documentation: Include the most
	important parts of libnpa with breathe and reference the details
	with doxylink to external doxygen pages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@567
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Doxyfile.in: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@566
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-24  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa/npa.h, npa/src/npa/scutil.h, npa/src/npa/sm.h: 
	documentation: grouping and other things git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@565
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@564
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Doxyfile.in: document only public interface git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@562
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-18  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: added workaround to avoid potentially conflicting
	types of mse:set at's git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@560
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: - found OpenSSL's limitation to not use optional item templates in
	other item templates. this caused errors on parsing mse:set at
	during ta - checking terminal's signature now seems stable, so it is enabled
	by default git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@559
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-17  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: Fixed a typo git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@558
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Doxyfile.in: documenting only interface to the outside world git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@557
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa-tool.c, npa/src/npa.c: - added support for verifying terminal's signature including
	auxiliary data (experimental, currently disabled) - debugging openssl where possible/needed - using openssl instead of opensc for asn1 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@556
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-14  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: -Added Virtual Smartcard logo to documentation
	-Changed theme git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@554
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-13  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: Added npa documentation to breathe git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@552
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-13  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Doxyfile.in, npa/src/npa.c: -Converted CVC_check_cert function
	call to CVC_check_description -Removed README.dox from Doxygen input
	-Excluded opensc from the documentation -Enabled generation of XML
	documentation (for sphinx) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@549
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-13  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: Fixed highlighting of configure commands in npa
	documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@548
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-10-12  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: Converted npa documentation to reStructuredText
	(mostly) git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@546
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/scutil.c: fixed error on using stdout as debug log git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@542
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/sslutil.h: implemented ssl_error as macro git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@541
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/sslutil.c: implemented ssl_error as macro git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@540
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/apdus: - moved example apdus to npa-tool git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@539
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: - fixed type of auxiliary data in c-apdu - parsing mse:set for ta - check terminals signature for ta git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@538
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c, npa/src/npa/npa.h, npa/src/npa/sm.h,
	npa/src/scutil.c, npa/src/sm.c: - checking description against the certificate is now done
	internally in libnpa, removed hash of certificate description from
	pace output - importing terminal certificates to verify terminals signature - fixed hex dump without sc_context git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@537
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-22  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: - fixed corruption of certificate description - adjusted output parsing from certificate_description_print - fixed check for certificate description in terminal certificate git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@536
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-21  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: generating cv certificate from apdu data to perform
	check against certificate description git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@535
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: handling certificate description and chat in libnpa
	instead of ccid-emulator git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@534
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-05  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: Fixed grammar error git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@523
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-09-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/sm.c: added error checking git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@522
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-08-30  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am, npa/src/npa.c, npa/src/sslutil.c,
	npa/src/sslutil.h: - added openssl debug code to ccid emulator - fixed some bugs due to changes in recent opensc version - added support for changing pin via standard leser git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@511
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-28  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa-tool.c: Fixed some compiler warnings git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@443
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-26  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: adjusted to changes of OpenPACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@438
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-25  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/src/npa-tool.c, npa/src/scutil.c: switched
	to opensc 0.12.1, where build_apdu has been accepted as
	sc_bytes2apdu git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@433
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-07-23  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: silent build rules git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@427
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: released 0.3 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@425
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/ChangeLog: updated changelog git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@424
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: fixed memory leaks git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@423
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: updated documentation git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@422
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c, npa/src/sm.c: - sm.c: added test for available memory - npa.c: removed obsolete comments git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@421
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-20  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: fixed segfault on cleanup git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@420
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-18  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c: fixed usage of PACE_SEC_clear_free git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@419
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-05-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/src/npa.c, npa/src/npa/npa.h: adapted to
	openpace 0.6 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@418
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/ChangeLog, npa/configure.ac: released 0.2 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@410
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am: git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@409
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-06  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac, npa/src/npa-tool.c, npa/src/npa.c: added
	compatibility to mingw git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@408
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/npa.c, npa/src/sm.c: avoiding problems due to
	uninitialized values git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@407
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-05  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/sm.c: - windows dependant include git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@406
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-03  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am, npa/src/npa-tool.c, npa/src/npa.c,
	npa/src/npa/npa.h, npa/src/npa/npa_lib.h, npa/src/npa/sm.h,
	npa/src/npa_lib.c, npa/src/sm.c: - not exporting npa internal stuff anymore - added sm_ctx_clear_free git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@405
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am: building clean distribution file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@404
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-02  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/README.dox, npa/configure.ac,
	npa/libnpa.pc.in, npa/libpace.pc.in, npa/src/Makefile.am,
	npa/src/npa-tool.c, npa/src/npa.c, npa/src/npa/npa.h,
	npa/src/npa/npa_lib.h, npa/src/npa/scutil.h, npa/src/npa/sm.h,
	npa/src/npa_lib.c, npa/src/pace-tool.c, npa/src/pace.c,
	npa/src/pace/pace.h, npa/src/pace/pace_lib.h,
	npa/src/pace/scutil.h, npa/src/pace/sm.h, npa/src/pace_lib.c,
	npa/src/scutil.c: renamed libpace to libnpa git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@403
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-01  oepen <oepen@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: Shut up autotools git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@400
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-02-01  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace-tool.c: cleaned up time management. might not work
	for systems where time_t is not an integer.  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@396
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace-tool.c: - fixed description of version parameter git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@395
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-31  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/README.dox, npa/configure.ac,
	npa/libpace.pc.in, npa/src/Makefile.am, npa/src/pace-tool.c: linking
	against opensc now as shared library git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@394
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-16  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/Makefile.am, npa/src/pace.c: - fixed memory corruption when getting ef.cardaccess - minor changes in build process with libopensc git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@391
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-16  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/src/Makefile.am: optimized makefile-targets git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@390
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox, npa/configure.ac, npa/libpace.pc.in,
	npa/src/Makefile.am: - added customization via OPENSC_CONFIGURE - changed information regarding opensc - fixed pkg-config file git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@389
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-15  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/scutil.c: added more error messages git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@388
	96b47cad-a561-4643-ad3b-153ac7d7599c

2011-01-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/Makefile.am, npa/configure.ac, npa/src/Makefile.am,
	npa/src/pace-tool.c, npa/src/pace.c, npa/src/pace/pace.h,
	npa/src/pace/scutil.h, npa/src/pace/sm.h, npa/src/scutil.c,
	npa/src/sm.c: switched to opensc.0.12.0. note that this has some
	issues when linking against both libnpa and the opensc libraries at
	the same time. readme information would be usefull for this...  git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@385
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-17  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace-tool.c: fix error when breaking a secret where all
	digits are 9 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@384
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-12  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace-tool.c: removed byteorder.h from includes, not
	needed. thanks Dennis git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@380
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-11  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: - updated information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@378
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/ChangeLog, npa/m4/Makefile.am: releasing 0.1 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@374
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace-tool.c, npa/src/pace.c, npa/src/pace/pace.h: added
	input parameter for version of 03110 git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@373
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-08  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/src/pace.c: adapted to the latest changes of OpenPACE git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@369
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/README.dox: updated information git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@368
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-12-07  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* npa/configure.ac: linking against libopensc not easily possible.
	we need to remove this dependancy git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@366
	96b47cad-a561-4643-ad3b-153ac7d7599c

2010-11-14  frankmorgner <frankmorgner@96b47cad-a561-4643-ad3b-153ac7d7599c>

	* extracted libpace from ccid git-svn-id:
	https://vsmartcard.svn.sourceforge.net/svnroot/vsmartcard@359
	96b47cad-a561-4643-ad3b-153ac7d7599c

